Runtime

## org.eclipse.gmf.runtime.diagram.ui.editpolicies
Class CanonicalEditPolicy.CanonicalElementAdapter

    java.lang.Object
      org.eclipse.gmf.runtime.common.core.util.Proxy
          org.eclipse.gmf.runtime.emf.core.util.EObjectAdapter
              org.eclipse.gmf.runtime.diagram.ui.editpolicies.CanonicalEditPolicy.CanonicalElementAdapter

All Implemented Interfaces:
  IAdaptable, IProxyEObject

Enclosing class:
  CanonicalEditPolicy

protected static final class CanonicalEditPolicy.CanonicalElementAdapter
extends EObjectAdapter

Adds `String.class adaptablity to return a factory hint.`

Constructor Summary
`CanonicalEditPolicy.CanonicalElementAdapter(EObject element, java.lang.String hint)` constructor

Method Summary
`java.lang.Object` `getAdapter(java.lang.Class adapter)` Adds `String.class adaptablity.`

Methods inherited from class org.eclipse.gmf.runtime.emf.core.util.EObjectAdapter
`getProxyClassID, resolve`

Methods inherited from class org.eclipse.gmf.runtime.common.core.util.Proxy
`equals, getRealObject, handle, hashCode, setRealObject`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CanonicalEditPolicy.CanonicalElementAdapter

    public CanonicalEditPolicy.CanonicalElementAdapter(EObject element,
                                                       java.lang.String hint)

  constructor

Parameters:
  `element` -
  `hint` -

Method Detail

### getAdapter

    public java.lang.Object getAdapter(java.lang.Class adapter)

  Adds `String.class adaptablity.

  `
  Specified by:
    `getAdapter` in interface `IAdaptable`
  Overrides:
    `getAdapter` in class `EObjectAdapter`

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.